Problem with Productized Rails Application

Hi,

i have a query regarding Productized Rails Application and referring
http://wiki.rubyonrails.com/rails/pages/RailsProductGenerator

with following gems *** LOCAL GEMS ***:

actionmailer (1.3.3, 1.0.1)
actionpack (1.13.3, 1.9.1)
actionwebservice (1.2.3, 0.8.1)
activerecord (1.15.3, 1.11.1)
activesupport (1.4.2, 1.1.1)
cgi_multipart_eof_fix (2.5.0)
chardet (0.9.0)
ferret (0.11.5)
fxri (0.3.6)
fxruby (1.6.12)
gem_plugin (0.2.3)
gruff (0.3.1)
hoe (1.5.1)
hpricot (0.6)
html5 (0.10.0)
log4r (1.0.5)
mongrel (1.1.3)
rails (1.2.3)
rails_product (0.5)
rake (0.8.1, 0.7.3)
ruby-debug (0.10.0)
ruby-debug-base (0.10.0)
rubyforge (0.4.5)
site_generator (0.6)
sources (0.0.1)
tzinfo (0.3.8)
win32-api (1.0.0)
win32-clipboard (0.4.3)
win32-dir (0.3.2)
win32-eventlog (0.4.6)
win32-file (0.5.4)
win32-file-stat (1.2.5)
win32-process (0.5.3)
win32-sapi (0.1.4)
win32-sound (0.4.1)
windows-api (0.2.0)
windows-pr (0.7.1)

Ruby version: ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32]

i have welcome_controller.rb in RAILS_ROOT/app/controller with single

def index
render_text "HELLO"
end

when start webrick server http://localhost:3000/

it says "uninitialized constant WelcomeController"

although i have uncommented following line in config/routes.rb

map.connect '', :controller => "welcome"

if i run with http://localhost:3000/welcome/index

Routing Error
no route found to match "/welcome/index" with {:method=>:get}

Please suggest

Hi,

i have a query regarding Productized Rails Application and referring
http://wiki.rubyonrails.com/rails/pages/RailsProductGenerator

Ruby version: ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32]

i have welcome_controller.rb in RAILS_ROOT/app/controller with single

def index
render_text "HELLO"
end

(I'm assuming you meant app/controllers). The fact that according to
the wiki page it doesn't work with rails 1.0 makes it rather unlikely
that it works with rails 2.0. In particular it looks like it's
fiddling with dependencies, which changed profoundly for rails 1.2

Fred